
Foreman - Bug #790

The puppetmaster switcher does not handle switch to smartproxy well

03/25/2011 07:04 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The SmartProxy/text_entry selection can become blocked as, after a switch to a SmartProxy reference, the edit page will contain a

hidden section containing name[puppetmaster_name]="Bristol production proxy". This is fine in the select dropdown but not fine in

the hidden text section. It is wrong and does not pass validation.

Associated revisions

Revision d67f2883 - 03/29/2011 12:19 PM - Paul Kelly

Fixes #790 - puppetmaster_name should be obj.puppetmaster_name

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 03/25/2011 07:15 AM - Paul Kelly

- Status changed from New to Ready For Testing

#2 - 03/27/2011 07:50 AM - Ohad Levy

- Target version set to 0.2

#3 - 03/29/2011 12:45 PM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset d67f28836cc4380d4015701fd80aee43b07f3ac4.

#4 - 03/29/2011 12:46 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
